HttpInflateStream::__construct
HttpInflateStream::finish
The HttpInflateStream class
PHP Manual

# HttpInflateStream::factory

(PECL pecl_http:1.4.0-1.5.5)

HttpInflateStream::factory — HttpInflateStream class factory

### Description

public HttpInflateStream HttpInflateStream::factory ([ int `$flags = 0` [, string `$class_name = 'HttpInflateStream'` ]] )

Creates a new HttpInflateStream object instance.

See the inflate constants table for possible `flags` .

### Parameters

`flags`

  initialization flags

`class_name`

  name of a subclass of HttpInflateStream

### See Also

- HttpInflateStream::__construct

HttpInflateStream::__construct
HttpInflateStream::finish
The HttpInflateStream class
PHP Manual